org.apache.ignite.internal.client

## Interface GridClientTopologyListener

All Known Implementing Classes:
  GridClientPartitionAffinity, GridClientRoundRobinBalancer

    public interface GridClientTopologyListener

Listener interface for notifying on nodes joining or leaving remote grid.

Since the topology refresh is performed in background, the listeners will not be notified immediately after the node leaves grid, but the maximum time window between remote grid detects node leaving and client receives topology update is `GridClientConfiguration.getTopologyRefreshFrequency()`.

### Method Summary

Methods
`void` `onNodeAdded(GridClientNode node)` Callback for new nodes joining the remote grid.
`void` `onNodeRemoved(GridClientNode node)` Callback for nodes leaving the remote grid.

### Method Detail

#### onNodeAdded

    void onNodeAdded(GridClientNode node)

Callback for new nodes joining the remote grid.

Parameters:
  `node` - New remote node.

#### onNodeRemoved

    void onNodeRemoved(GridClientNode node)

Callback for nodes leaving the remote grid.

Parameters:
  `node` - Left node.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015